Proxy (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.proxy, class: Proxy

Package org.apache.jmeter.protocol.http.proxy

# Class Proxy

java.lang.Object
java.lang.Thread
org.apache.jmeter.protocol.http.proxy.Proxy

All Implemented Interfaces:
  `Runnable`

public class Proxy extends Thread
Thread to handle one client request. Gets the request from the client and passes it on to the server, then sends the response back to the client. Information about the request and response is stored so it can be used in a JMeter test plan.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Proxy()`
  Default constructor - used by newInstance call in Daemon

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `run()`
  Main processing method for the Proxy object
  `static void`
  `setCounter(int value)`
  Set the counter for all registered `SamplerCreatorFactory`s

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Proxy

    public Proxy()
    Default constructor - used by newInstance call in Daemon

- ## Method Details

  - ### run

    public void run()
    Main processing method for the Proxy object
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`

  - ### setCounter

    public static void setCounter(int value)
    Set the counter for all registered `SamplerCreatorFactory`s
    Parameters:
      `value` - to be initialized